Subject: RE: [newtrk] Meeting discussion of ISDs- Experimental Protocols a s core documents (outstanding)

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Tue, 16 Nov 2004 08:50:56 +0100

I agree with John & John!

/L-E

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: den 16 november 2004 05:43
> To: [email-masked]; [email-masked]
> Subject: RE: [newtrk] Meeting discussion of ISDs- 
> Experimental Protocols
> as core documents (outstanding)
> 
> 
> John,
> 
> > Question: Can Experimental Protocols be core documents for ISDs,
> > or does that take us too far down a slippery slope in which it
> > is, again, not clear to readers what is, or is not a standard?
> > 
> > 		(Ok, my phrasing of that question probably tells you how
> > 		I feel about it)
> 
> I think it is too far down the slippery slope.  The point of making
> protocols experimental is because we are not sure if they should
> be standards.  Also, by not making ISDs from experimental docs, we
> provide some motivation for continuing to work on experimental 
> protocols so that they can become ISDs.
> 
> > Question: Can experimental documents be referenced, presumably
> > non-normatively, as part of an ISD build around a
> > standards-track core document?
> > 
> > 		(I think the answer to this has got to be "yes", but
> > 		thought I'd ask)
> 
> Yes they can.
> 
> John L.
> 
> .
> newtrk resources:_____________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> 
.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 16 Nov 2004 09:58:40 +0100

> I agree with John & John!

So do I, and therefore I disagree with Spencer. If something
carries the name "experimental" yet is a normative reference
in an ISD, one or the other choice is clearly wrong.

    Brian

.

---

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 16 Nov 2004 06:54:11 -0600

> If something

I haven't been participating in non-SIP TSV work for about a year, but 
I can say that there have been specifications in the past that we 
expected to see deployed at Experimental (one example being NewReno), 
and my impression was that the routing area did this with at least 
some changes to key routing protocols.

Having said this - I can agree that there is a clarity of "ISD = 
deployable standards" that is damaged by inclusion of "experimental" 
normative references. But this is veering into ISD brand management, 
so I'll shut up now. I can certainly live with the restriction in 
anything I'm working on now.

Spencer 

.

---

From: Tony Hansen <[email-masked]>
Date: Tue, 16 Nov 2004 16:42:09 -0500

Perhaps the discussion should be on if an experimental protocol can and 
should be included as a normative reference in an ISD? If I were writing 
a new version of a protocol that had been released as experimental, I 
would consider that previous work as informational, certainly not as 
normative.

	Tony Hansen
	[email-masked]

Spencer Dawkins wrote:

> I haven't been participating in non-SIP TSV work for about a year, but I 
> can say that there have been specifications in the past that we expected 
> to see deployed at Experimental (one example being NewReno), and my 
> impression was that the routing area did this with at least some changes 
> to key routing protocols.
> 
> normative references. But this is veering into ISD brand management, so 
> I'll shut up now. I can certainly live with the restriction in anything 
> I'm working on now.
> 
> Spencer
> 
> .
.

---

From: Joe Touch <[email-masked]>
Date: Wed, 17 Nov 2004 19:39:53 -0800

> in an ISD, one or the other choice is clearly wrong.

It seems like it could be a reference to a specific protocol mechanism 
(normative) which the ISD is either indicating is still 'up in the air' 
(i.e., not recommending per se) or recommending against.

??

Joe

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 19 Nov 2004 12:09:03 +0100

> (i.e., not recommending per se) or recommending against.

We had a case recently where we had a proposed standard for an extension 
where the proposed standard said "in order to practice this standard, you 
have to have a mechanism that satisfies criterion X, where the only known 
instance of something that does it is RFC Y, which is Experimental".

As far as I remember, the real issue was that people were in IPR fights 
over Y, and didn't want it near the standards track until the fight had 
been resolved - in such a case, it would be natural for the ISD to 
reference Y, but not incorporate it normatively (I think).

                   Harald

.